Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorklistScrollableResultMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

Deprecated. Use WorklistContext API instead.

    public interface WorklistScrollableResultMBean

extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Method Summary
`TaskInfoCursor` | `getTaskInfoCursor(TaskSelector taskSelector, int resultSize)` Deprecated.
`TaskInfoCursor` | `moveCursorBackward(TaskInfoCursor taskInfoCursor)` Deprecated.
`TaskInfoCursor` | `moveCursorForward(TaskInfoCursor taskInfoCursor)` Deprecated.
`TaskInfoCursor` | `refreshCursor(TaskInfoCursor taskInfoCursor)` Deprecated.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTaskInfoCursor

    TaskInfoCursor getTaskInfoCursor(TaskSelector taskSelector,
                                     int resultSize)
                                     throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### moveCursorForward

    TaskInfoCursor moveCursorForward(TaskInfoCursor taskInfoCursor)
                                     throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### moveCursorBackward

    TaskInfoCursor moveCursorBackward(TaskInfoCursor taskInfoCursor)
                                      throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### refreshCursor

    TaskInfoCursor refreshCursor(TaskInfoCursor taskInfoCursor)
                                 throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD